### Virtual Method

# Hitaki MotuRegisterDsp read_parameter

#### Declaration [src]

    gboolean
    read_parameter (
      HitakiMotuRegisterDsp* self,
      HitakiSndMotuRegisterDspParameter* const* param,
      GError** error
    )

#### Description [src]

Read cached parameter for register DSP models.

#### Parameters

`param`

  Type: `HitakiSndMotuRegisterDspParameter`

  A `HitakiSndMotuRegisterDspParameter`.

  The argument will be modified by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finished successfully, else FALSE.